# Uses of Class
javax.swing.plaf.TableHeaderUI

Packages that use TableHeaderUI
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of TableHeaderUI in javax.swing.plaf.basic

Subclasses of TableHeaderUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicTableHeaderUI`
BasicTableHeaderUI implementation

## Uses of TableHeaderUI in javax.swing.plaf.multi

Subclasses of TableHeaderUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiTableHeaderUI`
A multiplexing UI used to combine `TableHeaderUI`s.

## Uses of TableHeaderUI in javax.swing.plaf.synth

Subclasses of TableHeaderUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthTableHeaderUI`
Provides the Synth L&F UI delegate for `JTableHeader`.

## Uses of TableHeaderUI in javax.swing.table

Methods in javax.swing.table that return TableHeaderUI
Modifier and Type
Method
Description
`TableHeaderUI`
JTableHeader.`getUI()`
Returns the look and feel (L&F) object that renders this component.
Methods in javax.swing.table with parameters of type TableHeaderUI
Modifier and Type
Method
Description
`void`
JTableHeader.`setUI​(TableHeaderUI ui)`
Sets the look and feel (L&F) object that renders this component.